# compute.crossplane.io/v1alpha1 API Reference

Package v1alpha1 contains portable resource claims for compute services such as Kubernetes clusters.

This API group contains the following Crossplane resources:

* [KubernetesCluster](#KubernetesCluster)
* [KubernetesClusterClass](#KubernetesClusterClass)

## KubernetesCluster

A KubernetesCluster is a portable resource claim that may be satisfied by binding to a Kubernetes cluster managed resource such as an AWS EKS cluster or an Azure AKS cluster.


Name | Type | Description
-----|------|------------
`apiVersion` | string | `compute.crossplane.io/v1alpha1`
`kind` | string | `KubernetesCluster`
`metadata` | [meta/v1.ObjectMeta](https://kubernetes.io/docs/reference/generated/kubernetes-api/v1.15/#objectmeta-v1-meta) | Kubernetes object metadata.
`spec` | [KubernetesClusterSpec](#KubernetesClusterSpec) | KubernetesClusterSpec specifies the desired state of a KubernetesCluster.
`status` | [v1alpha1.ResourceClaimStatus](../crossplane-runtime/core-crossplane-io-v1alpha1.md#resourceclaimstatus) | 



## KubernetesClusterClass

KubernetesClusterClass contains a namespace-scoped Class for KubernetesCluster


Name | Type | Description
-----|------|------------
`apiVersion` | string | `compute.crossplane.io/v1alpha1`
`kind` | string | `KubernetesClusterClass`
`metadata` | [meta/v1.ObjectMeta](https://kubernetes.io/docs/reference/generated/kubernetes-api/v1.15/#objectmeta-v1-meta) | Kubernetes object metadata.


KubernetesClusterClass supports all fields of:

* [v1alpha1.PortableClass](../crossplane-runtime/core-crossplane-io-v1alpha1.md#portableclass)


## KubernetesClusterSpec

KubernetesClusterSpec specifies the desired state of a KubernetesCluster.

Appears in:

* [KubernetesCluster](#KubernetesCluster)


Name | Type | Description
-----|------|------------
`clusterVersion` | string | ClusterVersion specifies the desired Kubernetes version, e.g. 1.15.


KubernetesClusterSpec supports all fields of:

* [v1alpha1.ResourceClaimSpec](../crossplane-runtime/core-crossplane-io-v1alpha1.md#resourceclaimspec)


This API documentation was generated by `crossdocs`.