# aws.crossplane.io/v1alpha2 API Reference

Package v1alpha2 contains core AWS resources.

This API group contains the following Crossplane resources:

* [Provider](#Provider)

## Provider

A Provider configures an AWS &#39;provider&#39;, i.e. a connection to a particular AWS account using a particular AWS IAM role.


Name | Type | Description
-----|------|------------
`apiVersion` | string | `aws.crossplane.io/v1alpha2`
`kind` | string | `Provider`
`metadata` | [meta/v1.ObjectMeta](https://kubernetes.io/docs/reference/generated/kubernetes-api/v1.15/#objectmeta-v1-meta) | Kubernetes object metadata.
`spec` | [ProviderSpec](#ProviderSpec) | A ProviderSpec defines the desired state of a Provider.



## ProviderSpec

A ProviderSpec defines the desired state of a Provider.

Appears in:

* [Provider](#Provider)


Name | Type | Description
-----|------|------------
`region` | string | Region for managed resources created using this AWS provider.
`credentialsSecretRef` | [core/v1.SecretKeySelector](https://kubernetes.io/docs/reference/generated/kubernetes-api/v1.15/#secretkeyselector-v1-core) | A Secret containing INI encoded credentials for an AWS IAM role that will be used to authenticate to this AWS account.



This API documentation was generated by `crossdocs`.