# servicenetworking.gcp.crossplane.io/v1alpha2 API Reference

Package v1alpha2 contains managed resources for GCP service networking services such as connections.

This API group contains the following Crossplane resources:

* [Connection](#Connection)

## Connection

A Connection is a managed resource that represents a Google Cloud Service Networking Connection.


Name | Type | Description
-----|------|------------
`apiVersion` | string | `servicenetworking.gcp.crossplane.io/v1alpha2`
`kind` | string | `Connection`
`metadata` | [meta/v1.ObjectMeta](https://kubernetes.io/docs/reference/generated/kubernetes-api/v1.15/#objectmeta-v1-meta) | Kubernetes object metadata.
`spec` | [ConnectionSpec](#ConnectionSpec) | A ConnectionSpec defines the desired state of a Connection.
`status` | [ConnectionStatus](#ConnectionStatus) | A ConnectionStatus represents the observed state of a Connection.



## ConnectionParameters

ConnectionParameters define the desired state of a Google Cloud Service Networking Connection. Most fields map direct to a Connection: https://cloud.google.com/service-infrastructure/docs/service-networking/reference/rest/v1/services.connections#Connection

Appears in:

* [ConnectionSpec](#ConnectionSpec)


Name | Type | Description
-----|------|------------
`parent` | string | Parent: The service that is managing peering connectivity for a service producer&#39;s organization. For Google services that support this functionality, this value is services/servicenetworking.googleapis.com.
`network` | string | Network: The name of service consumer&#39;s VPC network that&#39;s connected with service producer network, in the following format: `projects/{project}/global/networks/{network}`. `{project}` is a project number, such as in `12345` that includes the VPC service consumer&#39;s VPC network. `{network}` is the name of the service consumer&#39;s VPC network.
`reservedPeeringRanges` | Optional []string | ReservedPeeringRanges: The name of one or more allocated IP address ranges for this service producer of type `PEERING`.



## ConnectionSpec

A ConnectionSpec defines the desired state of a Connection.

Appears in:

* [Connection](#Connection)




ConnectionSpec supports all fields of:

* [v1alpha1.ResourceSpec](../crossplane-runtime/core-crossplane-io-v1alpha1.md#resourcespec)
* [ConnectionParameters](#ConnectionParameters)


## ConnectionStatus

A ConnectionStatus represents the observed state of a Connection.

Appears in:

* [Connection](#Connection)


Name | Type | Description
-----|------|------------
`peering` | string | Peering: The name of the VPC Network Peering connection that was created by the service producer.
`service` | string | Service: The name of the peering service that&#39;s associated with this connection, in the following format: `services/{service name}`.


ConnectionStatus supports all fields of:

* [v1alpha1.ResourceStatus](../crossplane-runtime/core-crossplane-io-v1alpha1.md#resourcestatus)


This API documentation was generated by `crossdocs`.