---
title: Getting Started
toc: true
weight: 210
---
# Quick Start Guide

This quick start will demonstrate using Crossplane to deploy a portable MySQL
database on a single cloud provider, Google Cloud Platform. It serves as an initial introduction to
Crossplane, but only displays a small portion of its functionality.

The general steps for this example are as follows:

1. [Install Crossplane and the GCP stack](install-crossplane.md) into your Kubernetes cluster. 
1. [Configure GCP credentials](cloud-providers/gcp/gcp-provider.md) in Crossplane.
1. [Provision a MySQL database](quick-start-gcp.md) on GCP. 

## Next Steps

* Add additional [cloud provider stacks](cloud-providers.md) to Crossplane.
* Explore the [Services Guide](services-guide.md) and the [Stacks Guide](stacks-guide.md).
* Learn more about [Crossplane concepts](concepts.md).
* See what services are [currently supported](api.md) for each provider.
* Build [your own stacks](developer-guide.md)!
